# gem-pd

gem-pd is a Pronoun Dressing Room program for gemini in bash

made after seeing [https://asteine8.github.io/projects/pronoun-dressing-room/dressing-room/index.html](https://asteine8.github.io/projects/pronoun-dressing-room/dressing-room/index.html) in the web

## Setup
make sure your gemini server supports CGI scripts written in bash,

copy it into your gemini directory and make it executable of course

## TODO
* randomly collect sentences from files [opened: 2022-03-14T16:45:30Z; closed: 2022-09-18T14:02:00Z]
  * [X] add a lot of sentences
  * [X] make the program select a random selection (like 3 or 4 of them)
  * [X] make that optional

* more flexibility [opened: 2022-05-30T14:14:00Z; closed: 2022-05-31T13:13:30Z]
  * [X] add another file for pronouns instead of having them hardcoded.
  
* unhardcode [opened: 2022-05-31T13:32:00Z; closed: 2022-09-18T13:31:00Z]
  * [X] instead of hardcoding they for plural detection, put that into the csv file

## Changelog
* 2021-10-18: thrown together in an hour
* 2021-10-19: thrown through shellcheck
* 2021-11-05: added pronoun selector. add ";" and your preferred pronouns into the name field to see only those
* 2021-11-06: made each sentence a list item for easier reading
* 2021-11-06: make the pronoun text a little easier to see, and remove the unnecessary '---' in that case. also change the input text to direct the user how to enter stuff.
* 2021-11-06: by exporting the sentences to a file, more can be added easily.
* 2021-11-07: the position of the pronouns within the array is now independent
* 2021-11-07: fix compatibility with weird clients that don't encode ; as %3B
* 2022-03-14: add new sentences
* 2022-05-31: export pronouns to csv file; add one new sentence
* 2022-05-31: make it shown when a pronoun is preferred that is unknown, also some more comments
* 2022-07-30: provide a back link
* 2022-09-18: fix issue where every pronoun set was regarded as unknown
* 2022-09-18: provide link to repository
* 2022-09-18: unhardcode plural grammar
* 2022-09-18: fix orthographic mistakes
* 2022-09-18: implement randomly collect sentences from files
* 2022-09-18: fix brainlag in the implementation above
